%define debug_package %{nil}
Name: op5-extra-tools
Version: %{op5version}
Release: %{op5release}
License: op5 Software License
URL: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Extra tools for OP5 Monitor
Group: op5/Monitor
Prefix: %{_prefix}
Source: %{name}-%{version}.tar.gz
BuildRequires: python3-devel

%description
%{summary}.

%package check-migration
Summary: Check OP5 Monitor config compatibility
Requires: monitor-livestatus
Requires: python3-livestatus
%if 0%{?rhel} < 8
Requires: python3-PyYAML
Requires: python36-asn1crypto
%endif

%description check-migration
%{summary}.

%package test
Summary: Test dependencies for op5-extra-tools
Requires: make
%if 0%{?rhel} >= 8
Requires: python3-pytest
%else
Requires: python36-pytest
%endif
Requires: op5license-tests
Requires: op5-monitor

%description test
%{summary}.

%prep
%setup -q

%build

%install
# Install Python binary packages built in pre-build step:
cd op5-check-migration
%py3_install_wheel *-py3-*.whl
%{__install} -D -m 644 check_migration_plugins.yaml %{buildroot}%{_datadir}/op5/check_migration_plugins.yaml
cd -


%files check-migration
%{_bindir}/op5-check-migration
%{python3_sitelib}/op5/check_migration
%{python3_sitelib}/op5_check_migration-*
%{_datadir}/op5/check_migration_plugins.yaml

%files test

%clean
rm -rf %{buildroot}


%changelog
* Fri Dec  3 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Package op5-check-migration.
